Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 May 2024 21:31:59 +0300

> From: Simen Endsjø <[email-masked]>
> Date: Sun, 19 May 2024 19:41:01 +0200
> Cc: [email-masked], [email-masked]
> 
> I get the following popup when opening the program on the executable:
> 
>     ---------------------------
>     Dependency Walker
>     ---------------------------
>     Errors were detected when processing
> "d:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\EMACS.EXE".
> See the log window for details.
>     ---------------------------
>     OK
>     ---------------------------
> 
> The error log window:
> 
>     Error: At least one required implicit or forwarded dependency was not found.
>     Error: At least one module has an unresolved import due to a
> missing export function in an implicitly dependent module.
>     Warning: At least one delay-load dependency module was not found.
>     Warning: At least one module has an unresolved import due to a
> missing export function in a delay-load dependent module.
> 
> 
> The following modules is reported as "Error opening file. The system cannot find
> the specified file (2).":

Ignore this, it's not a real problem.

> I couldn't find any search functions, so I used some Save As and searched those,
> but the only reference I find of "ucrt" is the name under "KnownDLLs":

That's not very helpful.  What I wanted to see was the tree-like
dependency graph shown in the left-most pane.  If you cannot find any
other way, expand the tree in the left pane and post a screenshot of
the expanded tree.